﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using FluentNHibernate.Mapping;
using System.Runtime.Serialization;

namespace AnzeigenKomponente
{
    [DataContract(Namespace = "http://marius-klausa.eu/board")]
    public class Tag
    {
        public virtual int ID { get; private set; }
        [DataMember]
        public virtual String Name { get; private set; }

        public Tag() { }

        public Tag(String name)
        {
            this.Name = name;
        }
    }

    public class TagMap : ClassMap<Tag>
    {
        public TagMap()
        {
            Id(x => x.ID);
            Map(x => x.Name).Unique();
        }
    }
}
