﻿<%@ Page Language="C#" MasterPageFile="~/Master.Master" AutoEventWireup="true" CodeBehind="AGB.aspx.cs" Inherits="CampusBoardWebsite.AGB" %>

<asp:Content ID="Content1" ContentPlaceHolderID="MainContent" runat="Server">
    <div>
        <h2><b>Allgemeine Nutzungsbedingungen für das Campus-Board</b></h2>
        <br />
        <br />

        <b>§ 1 Registrierung und Benutzeraccount</b><br />
        <br />
        <blockquote>
            <ol>
                <li>Das Campus-Board an sich kann ohne Benutzeraccount verwendet werden und setzt somit keine Registrierung voraus.</li>
                <li>Um Anzeigen zu Erstellen und ein Profil zu pflegen benötigt man einen Benutzeraccount.</li>
                <li>Um sich zu Registrieren muss man im Besitz einer gültigen @haw-hamburg.de Adresse sein und ein Passwort wählen. Das Passwort wird verschlüsselt gespeichert und kann bei Verlust nicht ausgelesen werden.</li>
                <li>Beim Verlust des Passworts ist eine formlose Mail an <a href="mailto:campus-board@marius-klausa.eu">campus-board@marius-klausa.eu</a> zu senden. Man erhält eine Mail mit einem neuen Passwort, welches man nach dem Einloggen auf der Website ändern kann.
                </li>
            </ol>
        </blockquote>
        <br />
        <br />
        <b>§ 2 Nutzung des Campus-Board Systems</b><br />
        <br />
        <blockquote>
            <ol>
                <li>Nutzer sollten beim Erstellen von Anzeigen (Angebote und Gesuche) geeignete Kategorien auswählen, sowie Titel und Beschreibung wahrheitsgemäß ausfüllen.</li>
                <li>Es ist verboten Inhalte zu veröffentlichen, die gegen gesetzliche Vorschriften, Rechte Dritter oder gegen die guten Sitten verstoßen. Dazu gehört:</li>
                <ul>
                    <li>Gegen Gesetze zu verstoßen</li>
                    <li>Falschangaben zu machen und unechte Gesuche oder Angebote zu erstellen</li>
                    <li>Die Rechte Dritter zu verletzen</li>
                    <li>Schneeballsysteme zu bewerben</li>
                    <li>Die Infrastruktur des Campus-Board Systems gezielt anzugreifen und damit den Reibungslosen Betrieb zu beeinträchtigen</li>
                </ul>
            </ol>
        </blockquote>
        <br />
        <br />
        <b>§ 3 Missbrauch vom Campus-Board</b><br />
        <br />
        <blockquote>
            Der Betreiber des Campus-Boards kann den Dienst jederzeit beenden, veröffentlichte Inhalte löschen und Benutzeraccounts die gegen die Nutzungsbedingungen verstoßen, sperren.
        </blockquote>
        <br />
        <br />
        <b>§ 4 Schutz geistigen Eigentums</b><br />
        <br />
        <blockquote>
            Berechtigte, insbesondere Inhaber von Urheberrechten, Warenzeichenrechten oder anderen Schutzrechten, können Angebote, die ihre Rechte verletzen, melden und deren Entfernung beantragen. Wenn ein Rechtsvertreter der berechtigten Person uns dies auf korrekte Art und Weise meldet, werden die Angebote, die die Schutz- oder Urheberrechte verletzen, von uns entfernt.
        </blockquote>
        <br />
        <br />
        <b>§ 5 Haftungsausschluss</b><br />
        <br />
        <blockquote>
            <b>Haftung für Inhalte</b><br />
            Die Inhalte unserer Seiten wurden mit größter Sorgfalt erstellt. Für die Richtigkeit, Vollständigkeit und Aktualität der Inhalte können wir jedoch keine Gewähr übernehmen. Als Diensteanbieter sind wir gemäß § 7 Abs.1 TMG für eigene Inhalte auf diesen Seiten nach den allgemeinen Gesetzen verantwortlich. Nach §§ 8 bis 10 TMG sind wir als Diensteanbieter jedoch nicht verpflichtet, übermittelte oder gespeicherte fremde Informationen zu überwachen oder nach Umständen zu forschen, die auf eine rechtswidrige Tätigkeit hinweisen. Verpflichtungen zur Entfernung oder Sperrung der Nutzung von Informationen nach den allgemeinen Gesetzen bleiben hiervon unberührt. Eine diesbezügliche Haftung ist jedoch erst ab dem Zeitpunkt der Kenntnis einer konkreten Rechtsverletzung möglich. Bei Bekanntwerden von entsprechenden Rechtsverletzungen werden wir diese Inhalte umgehend entfernen.
        <br />
            <br />
            <b>Haftung für Links</b><br />
            Unser Angebot enthält Links zu externen Webseiten Dritter, auf deren Inhalte wir keinen Einfluss haben. Deshalb können wir für diese fremden Inhalte auch keine Gewähr übernehmen. Für die Inhalte der verlinkten Seiten ist stets der jeweilige Anbieter oder Betreiber der Seiten verantwortlich. Die verlinkten Seiten wurden zum Zeitpunkt der Verlinkung auf mögliche Rechtsverstöße überprüft. Rechtswidrige Inhalte waren zum Zeitpunkt der Verlinkung nicht erkennbar. Eine permanente inhaltliche Kontrolle der verlinkten Seiten ist jedoch ohne konkrete Anhaltspunkte einer Rechtsverletzung nicht zumutbar. Bei Bekanntwerden von Rechtsverletzungen werden wir derartige Links umgehend entfernen.
        <br />
            <br />
            <b>Urheberrecht</b><br />
            Die durch die Seitenbetreiber erstellten Inhalte und Werke auf diesen Seiten unterliegen dem deutschen Urheberrecht. Die Vervielfältigung, Bearbeitung, Verbreitung und jede Art der Verwertung außerhalb der Grenzen des Urheberrechtes bedürfen der schriftlichen Zustimmung des jeweiligen Autors bzw. Erstellers. Downloads und Kopien dieser Seite sind nur für den privaten, nicht kommerziellen Gebrauch gestattet. Soweit die Inhalte auf dieser Seite nicht vom Betreiber erstellt wurden, werden die Urheberrechte Dritter beachtet. Insbesondere werden Inhalte Dritter als solche gekennzeichnet. Sollten Sie trotzdem auf eine Urheberrechtsverletzung aufmerksam werden, bitten wir um einen entsprechenden Hinweis. Bei Bekanntwerden von Rechtsverletzungen werden wir derartige Inhalte umgehend entfernen.
        <br />
            <br />
            <p><i>Quellenangaben: <a href="http://www.e-recht24.de/muster-disclaimer.htm" target="_blank">Disclaimer</a> von eRecht24, dem Portal zum Internetrecht von Rechtsanwalt Sören Siebert</i></p>
        </blockquote>
        <br />
        <br />
        <b>§ 6 Datenschutz</b><br />
        <br />
        <blockquote>
            Beim Registrieren wird die E-Mail Adresse gespeichert, welche gleichzeitig als Benutzername dient.
            <br />
            <br />
            Nach der Registrierung kann man in seinem Profil personenbezogene Informationen pflegen. Dies geschieht auf freiwilliger Basis.
            <br />
            <br />
            Das Profil wird beim Registrieren automatisch angelegt und ist standardmäßig für alle sichtbar. Die bei der Registrierung verwendete E-Mail Adresse dient der Identifizierung des Profils und wird als Name verwendet.
            <br />
            <br />
            Das Profil kann jederzeit am Campus-Board, sofern man eingeloggt ist, unter „MEIN PROFIL“ verborgen werden.
            <br />
            <br />
            Alle gespeicherten Informationen dienen lediglich der Benutzung im Campus-Board und werden nicht an Dritte weitergegeben.
            <br />
            <br />
        </blockquote>
    </div>
</asp:Content>
