﻿using System;
using System.Collections.Generic;
using System.Collections.Specialized;
using System.IO;
using System.Linq;
using System.Web;
using System.Web.SessionState;
using System.Web.UI;
using System.Web.UI.HtmlControls;
using System.Web.UI.WebControls;
using Service;
using Service.BoardService;

namespace CampusBoardWebsite
{
    public partial class AnzeigenVerwalten : AuthorizedContentWebPage
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            CheckSessionAndRedirect(true);
            try
            {
                var fassade = new Proxy();
                int counter = 0;
                var anzeigen = fassade.GetOwnAnzeigen(Guid, counter);
                while (anzeigen.Count() != 0)
                {
                    foreach (var a in anzeigen)
                    {
                        var customControl = LoadControl("AnzeigenControl.ascx") as AnzeigenControl;
                        customControl.SetupAnzeige(a, Guid);
                        PlaceHolder1.Controls.Add(customControl);
                    }
                    anzeigen = fassade.GetOwnAnzeigen(Guid, ++counter);
                }
            }
            catch (Exception ex) { }
        }
    }
}