﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.HtmlControls;
using System.Web.UI.WebControls;
using Service;

namespace CampusBoardWebsite
{
    public partial class ChangePW : AuthorizedContentWebPage
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            CheckSessionAndRedirect(true);
        }

        protected void btnChange_Click(object sender, EventArgs e)
        {
            if (!String.IsNullOrEmpty(txtBoxPw.Text) && !String.IsNullOrEmpty(txtBoxPw2.Text))
            {
                if (!txtBoxPw2.Text.Equals(txtBoxPw3.Text))
                {
                    divAlertEmpty.Visible = false;
                    divAlertSuccess.Visible = false;
                    divAlertPwWrong.Visible = true;
                    divAlertError.Visible = false;
                }
                else
                {
                    var fassade = new Proxy();
                    if (fassade.ChangePassword(Guid, Guid, txtBoxPw.Text, txtBoxPw2.Text))
                    {
                        divAlertPwWrong.Visible = false;
                        divAlertEmpty.Visible = false;
                        divAlertError.Visible = false;
                        divAlertSuccess.Visible = true;
                    }
                    else
                    {
                        divAlertEmpty.Visible = false;
                        divAlertError.Visible = true;
                        divAlertSuccess.Visible = false;
                        divAlertPwWrong.Visible = false;
                    }
                }
            }
            else
            {
                divAlertEmpty.Visible = true;
                divAlertPwWrong.Visible = false;
                divAlertError.Visible = false;
                divAlertSuccess.Visible = false;
            }
        }
    }
}