﻿using System;
using System.Collections.Generic;
using System.Collections.Specialized;
using System.IO;
using System.Linq;
using System.Web;
using System.Web.Services;
using System.Web.SessionState;
using System.Web.UI;
using System.Web.UI.HtmlControls;
using System.Web.UI.WebControls;
using Service;
using Service.BoardService;

namespace CampusBoardWebsite
{
    public partial class Erstellen : AuthorizedContentWebPage
    {
        private const string caret = @"<b class=""caret""></b>";
        protected void Page_Load(object sender, EventArgs e)
        {
            CheckSessionAndRedirect(true);
            var list = getKategoryEntry();
            if (list.Count() > 0)
            {
                var tmp1 = Request.Params["ctl00$MainContent$txtTitle"];
                var tmp2 = Request.Params["ctl00$MainContent$txtBeschreibung"];
                var tmp3 = Request.Params["ctl00$MainContent$txtInhalt"];
                foreach (var element in list)
                {
                    var li = new HtmlGenericControl("li");
                    var a = new HtmlGenericControl("a");
                    //a.Attributes.Add("href", "?selectedKategorie1=" + element.Name);
                    a.Attributes.Add("href", "javascript:postData('" + element.Name + "')");
                    a.InnerText = element.Name;
                    li.Controls.Add(a);
                    kategorien1.Controls.Add(li);
                }

                //if (!String.IsNullOrEmpty(Request.Params["selectedKategorie1"]))
                //{
                //    if(
                //    Session.Remove("selectedKategorie2");
                //    Session.Remove("selectedKategorie3");
                //    if (Request.Params["selectedKategorie1"].ToLower().Equals("clear"))
                //        Session.Remove("selectedKategorie1");
                //    else
                //        Session.Add("selectedKategorie1", Request.Params["selectedKategorie1"]);
                //}
                var kat1 = Session["selectedKategorie1"];
                if (kat1 != null)
                {
                    lblKat1.InnerHtml = kat1 as string + caret;
                    if (!String.IsNullOrEmpty(Request.Params["selectedKategorie1"]))
                    {
                        if (!Request.Params["selectedKategorie1"].Equals(kat1))
                        {
                            Session.Remove("selectedKategorie2");
                            Session.Remove("selectedKategorie3");
                            Session.Add("selectedKategorie1", Request.Params["selectedKategorie1"]);
                            kat1 = Session["selectedKategorie1"];
                            lblKat1.InnerHtml = kat1 as string + caret;
                        }
                    }

                }
                else
                {
                    Session.Add("selectedKategorie1", getKategoryEntry().First().Name);
                    kat1 = Session["selectedKategorie1"];
                    lblKat1.InnerHtml = kat1 as string + caret;
                }
                foreach (var element in getKategoryEntry().Single<Kategorie>(x => x.Name.Equals(kat1)).Unterkategorien)
                {
                    var li = new HtmlGenericControl("li");
                    var a = new HtmlGenericControl("a");
                    //a.Attributes.Add("href", "?selectedKategorie2=" + element.Name);
                    a.Attributes.Add("href", "javascript:postData2('" + element.Name + "')");
                    a.InnerText = element.Name;
                    li.Controls.Add(a);
                    kategorien2.Controls.Add(li);
                }

                var kat2 = Session["selectedKategorie2"];
                if (!String.IsNullOrEmpty(Request.Params["selectedKategorie2"]))
                {
                    if (!Request.Params["selectedKategorie2"].Equals(kat2))
                    {
                        Session.Remove("selectedKategorie3");
                    }
                    if (Request.Params["selectedKategorie2"].ToLower().Equals("clear"))
                    {
                        Session.Remove("selectedKategorie2");
                        Session.Remove("selectedKategorie3");
                    }
                    else
                        Session.Add("selectedKategorie2", Request.Params["selectedKategorie2"]);
                }
                kat2 = Session["selectedKategorie2"];
                if (kat2 != null)
                {
                    lblKat2.InnerHtml = kat2 as string + caret;

                    foreach (var element in getKategoryEntry().Single<Kategorie>(x => x.Name.Equals(kat1)).Unterkategorien.Single<Kategorie>(x => x.Name.Equals(kat2)).Unterkategorien)
                    {
                        var li = new HtmlGenericControl("li");
                        var a = new HtmlGenericControl("a");
                        //a.Attributes.Add("href", "?selectedKategorie3=" + element.Name);
                        a.Attributes.Add("href", "javascript:postData3('" + element.Name + "')");
                        a.InnerText = element.Name;
                        li.Controls.Add(a);
                        kategorien3.Controls.Add(li);
                    }
                }
                else
                    lblKat2.InnerHtml = "Nichts gewählt" + caret;

                if (!String.IsNullOrEmpty(Request.Params["selectedKategorie3"]))
                    if (Request.Params["selectedKategorie3"].ToLower().Equals("clear"))
                    {
                        Session.Remove("selectedKategorie3");
                    }
                    else
                        Session.Add("selectedKategorie3", Request.Params["selectedKategorie3"]);
                var kat3 = Session["selectedKategorie3"];
                if (kat3 != null)
                    lblKat3.InnerHtml = kat3 as string + caret;
                else
                    lblKat3.InnerHtml = "Nichts gewählt" + caret;


                var lix = new HtmlGenericControl("li");
                var ax = new HtmlGenericControl("a");
                //ax.Attributes.Add("href", "?selectedKategorie2=clear");
                ax.Attributes.Add("href", "javascript:postData2('clear')");
                ax.InnerText = "Nichts";
                lix.Controls.Add(ax);
                kategorien2.Controls.Add(lix);
                lix = new HtmlGenericControl("li");
                ax = new HtmlGenericControl("a");
                //ax.Attributes.Add("href", "?selectedKategorie3=clear");
                ax.Attributes.Add("href", "javascript:postData3('clear')");
                ax.InnerText = "Nichts";
                lix.Controls.Add(ax);
                kategorien3.Controls.Add(lix);



                //foreach (var element in fassade.GetAllKategorien())
                //{
                //    var li = new HtmlGenericControl("li");
                //    var a = new HtmlGenericControl("a");
                //    a.Attributes.Add("href", "?selectedKategorie3=" + element.Name);
                //    a.InnerText = element.Name;
                //    li.Controls.Add(a);
                //    kategorien3.Controls.Add(li);
                //}
            }
            else
            {
                Session.Remove("selectedKategorie1");
                Session.Remove("selectedKategorie2");
                Session.Remove("selectedKategorie3");
            }
        }

        public static IEnumerable<Kategorie> getKategoryEntry()
        {
            IEnumerable<Kategorie> result = new List<Kategorie>();
            try
            {
                var fassade = new Proxy();
                IList<Kategorie> allKategorien = fassade.GetAllKategorien();
                IList<Kategorie> kategorien = new List<Kategorie>();
                foreach (Kategorie k in allKategorien.Take(allKategorien.Count))
                    kategorien.Add(k);
                foreach (Kategorie k in allKategorien)
                {
                    foreach (Kategorie kat in k.Unterkategorien)
                    {
                        kategorien.Remove(kategorien.Where(x => x.Name.Equals(kat.Name)).SingleOrDefault());
                    }
                }
                result = kategorien;
            }
            catch (Exception e) { }
            return result;
        }

        protected void btnErstellen_Click(object sender, EventArgs e)
        {
            if (!CaptchaControl1.IsValid)
            {
                alertError.Visible = true;
                alertSuccess.Visible = false;
                lblError.Text = "Das Captcha stimmt nicht überein.";
            }
            else
            {
                //saveImages();
                //var fassade = new Proxy();
                string titel = Request.Params["ctl00$MainContent$txtTitle"];
                string besch = Request.Params["ctl00$MainContent$txtBeschreibung"];
                string text = Request.Params["ctl00$MainContent$txtInhalt"];
                //List<int> ids = (List<int>)Session["images"];
                //if (ids == null)
                //    ids = new List<int>();
                var kats = getKategoryEntry();
                Dictionary<int, int> realKats = new Dictionary<int, int>();
                if (Session["selectedKategorie1"] != null)
                {
                    var kat1 = kats.Single(x => x.Name.Equals(Session["selectedKategorie1"] as string));
                    realKats.Add(1, kat1.ID);
                    if (Session["selectedKategorie2"] != null)
                    {
                        var kat2 = kat1.Unterkategorien.Single(x => x.Name.Equals(Session["selectedKategorie2"] as string));
                        realKats.Add(2, kat2.ID);
                        if (Session["selectedKategorie3"] != null)
                            realKats.Add(3, kat2.Unterkategorien.Single(x => x.Name.Equals(Session["selectedKategorie3"] as string)).ID);
                    }
                }
                KontaktOptionen opt = KontaktOptionen.Öffentliche;
                if (chkAddress.Checked)
                    opt = opt | KontaktOptionen.Adresse;
                if (chkTel.Checked)
                    opt = opt | KontaktOptionen.Telefon;
                if (chkMail.Checked)
                    opt = opt | KontaktOptionen.Email;
                var tagsText = Request.Params["ctl00$MainContent$tags"].Split(',');
                var tags = new List<Tag>();
                foreach (var el in tagsText)
                    tags.Add(new Tag() { Name = el });
                Session.Add("final_titel", titel);
                Session.Add("final_text", text);
                Session.Add("final_tags", tags.ToArray());
                Session.Add("final_kategory", realKats);
                //Session.Add("final_images", ids.ToArray());
                Session.Add("final_opt", opt.ToString());
                Server.Transfer("ErstellenFinal.aspx");
                //Anzeige tmp = fassade.AnzeigeErstellen(Guid, titel, besch, text, tags.ToArray(),
                //                     realKats, "default", ids.ToArray(), opt);
                //if (tmp == null)
                //{
                //    alertError.Visible = true;
                //    alertSuccess.Visible = false;
                //    lblError.Text = "Erstellen der Anzeige fehlgeschlagen!";
                //}
                //else
                //{
                //    alertError.Visible = false;
                //    alertSuccess.Visible = true;
                //    lblSuccess.Text = "Ihre Anzeige wurde erfolgreich erstellt. Sie ist nun auf dem Campus-Board sichtbar!!";
                //}
                //ids.Clear();
            }
        }

        [WebMethod]
        public static String GetKategorie(string name)
        {
            var ul = new HtmlGenericControl("ul");
            foreach (var element in getKategoryEntry().Single<Kategorie>(x => x.Name.Equals(name)).Unterkategorien)
            {
                var li = new HtmlGenericControl("li");
                var a = new HtmlGenericControl("a");
                //a.Attributes.Add("href", "?selectedKategorie2=" + element.Name);
                a.Attributes.Add("href", "javascript:postData2('" + element.Name + "')");
                a.InnerText = element.Name;
                li.Controls.Add(a);
                ul.Controls.Add(li);
            }
            return ul.ToString();
        }
    }
}