﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using Service;

namespace CampusBoardWebsite
{
    public partial class Feedback : AuthorizedContentWebPage
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            CheckSessionAndRedirect(true);
        }

        protected void btnSubmit_Click(object sender, EventArgs e)
        {
            var fassade = new Proxy();
            string text = Request.Params["ctl00$MainContent$txtInhalt"];
            if(!fassade.PostFeedback(Guid, text))
            {
                alertError.Visible = true;
                alertSuccess.Visible = false;
                lblError.Text = "Beim Abschicken ist ein Fehler aufgetreten. Später erneut versuchen oder Support unter campus-board@marius-klausa.eu kontaktieren.";
            }
            else
            {
                alertError.Visible = false;
                alertSuccess.Visible = true;
                lblSuccess.Text = "Erfolgreich abgeschickt!";
            }
        }
    }
}