﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

namespace CampusBoardWebsite
{
    public partial class Master : System.Web.UI.MasterPage
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            LoginState state;
            //if (!Enum.TryParse<LoginState>((string)Session["state"], true, out state))
            if (Session["state"] == null)
                state = LoginState.loggedOff;
            else
                state = (LoginState)Session["state"];
            switch (state)
            {
                case LoginState.active:
                    navAktivieren.Visible = false;
                    navLogout.Visible = true;
                    navErstellen.Visible = true;
                    navRegister.Visible = false;
                    navLogin.Visible = false;
                    navFeedback.Visible = true;
                    navChangePW.Visible = true;
                    navVerwalten.Visible = true;
                    navProfil.Visible = true;
                    break;
                case LoginState.inactive:
                    navAktivieren.Visible = true;
                    navLogout.Visible = true;
                    navErstellen.Visible = false;
                    navRegister.Visible = false;
                    navLogin.Visible = false;
                    navFeedback.Visible = false;
                    navChangePW.Visible = false;
                    navVerwalten.Visible = false;
                    navProfil.Visible = false;
                    break;
                case LoginState.loggedOff:
                    navAktivieren.Visible = false;
                    navLogout.Visible = false;
                    navErstellen.Visible = false;
                    navRegister.Visible = true;
                    navLogin.Visible = true;
                    navFeedback.Visible = false;
                    navChangePW.Visible = false;
                    navVerwalten.Visible = false;
                    navProfil.Visible = false;
                    break;
            }
            //navRegister.Visible = false;
        }
    }
}