﻿<%@ Page Language="C#" MasterPageFile="~/Master.master" AutoEventWireup="true" CodeBehind="Profil.aspx.cs" Inherits="CampusBoardWebsite.Profil" %>

<asp:Content ID="Content1" ContentPlaceHolderID="MainContent" runat="Server">
    <h1>Hier kannst du dein Profil bearbeiten</h1>

    <table class="=table">
        <tr>
            <td>
                <label>Nickname</label>
                <input runat="server" id="txtNickname" type="text" placeholder="Nickname">
                <br />
                <br />
                <br />
                <label>Vorname</label>
                <input runat="server" id="txtVorname" type="text" placeholder="Vorname">
                <label>Nachname</label>
                <input runat="server" id="txtNachname" type="text" placeholder="Nachname">
                <label class="checkbox">
                    <asp:CheckBox ID="chkNameVisible" runat="server" />
                    Name sichtbar
                </label>
                <br />
                <br />
                <br />
                <label>Straße</label>
                <input runat="server" id="txtStraße" type="text" placeholder="Straße">
                <label>PLZ</label>
                <input runat="server" id="txtPlz" type="text" placeholder="PLZ">
                <label>Stadt</label>
                <input runat="server" id="txtStadt" type="text" placeholder="Stadt">
                <label class="checkbox">
                    <asp:CheckBox ID="chkAddressVisible" runat="server" />
                    Adresse sichtbar
                </label>
                <br />
                <br />
                <br />
                <label>E-Mail</label>
                <input runat="server" id="txtMail" type="text" placeholder="E-Mail">
                <label class="checkbox">
                    <asp:CheckBox ID="chkMailVisible" runat="server" />
                    E-Mail sichtbar
                </label>
                <br />
                <br />
                <br />
                <label>Telefon</label>
                <input runat="server" id="txtTelefon" type="text" placeholder="Telefon">
                <label class="checkbox">
                    <asp:CheckBox ID="chkTelefonVisible" runat="server" />
                    Telefon sichtbar
                </label>
                <br />
                <br />
                <label class="checkbox">
                    <asp:CheckBox ID="chkSichtbar" runat="server" />
                    Profil am Campus-Board sichtbar
                </label>
            </td>
            <td style="width: 200px"></td>

            <td>
                <asp:Image ID="imgAvatar" runat="server" Width="250" Height="250" />
                <br />
                <br />
                <asp:Button ID="btnDelete" OnClick="btnDelete_Click" runat="server" Text="Profilbild löschen" class="btn btn-primary" />
                <br />
                <br />
                <div class="input-append">
                    <input type="text" disabled class="input-large" id="photo" text="Keine Datei ausgewählt" />
                    <a class="btn" onclick="$('input[id=MainContent_files]').click();">Profilbild auswählen</a>
                </div>
                <asp:FileUpload class="btn btn-primary" ID="files" runat="server" Style="display: none" />

                <asp:Button ID="btnHochladen" OnClick="btnHochladen_Click" runat="server" Text="Hochladen" class="btn btn-primary" />
                <div id="divProgress" style="display: none">
                    <h3>Bitte warten, Profilbild wird hochgeladen!</h3>
                    <div class="progress progress-striped active">
                        <div class="bar" style="width: 100%;"></div>
                    </div>
                </div>
            </td>
        </tr>
    </table>
    <br />
    <asp:Button ID="btnSubmit" OnClick="btnSubmit_Click" runat="server" Text="Änderungen speichern" class="btn btn-primary" /><br />
    <br />
    <div id="alertError" visible="false" class="alert alert-error" runat="server">
        <strong>Fehler! </strong>
        <asp:Label ID="lblError" runat="server" Text="lblError"></asp:Label>
    </div>
    <div id="alertSuccess" visible="false" class="alert alert-success" runat="server">
        <strong>Erfolg! </strong>
        <asp:Label ID="lblSuccess" runat="server" Text="lblSuccess"></asp:Label>
    </div>
        <script type="text/javascript">
            $('#MainContent_btnHochladen').on().click(function () { $('#divProgress').show(); });
    </script>
</asp:Content>
