﻿<%@ Page Language="C#" MasterPageFile="~/Master.master" AutoEventWireup="true" CodeBehind="Register.aspx.cs" Inherits="CampusBoardWebsite.Register" %>

<asp:Content ID="Content1" ContentPlaceHolderID="MainContent" runat="Server">
    <p>Hier kannst du dich registrieren</p>

    <div class="control-group">
        <label class="control-label" for="inputEmail">Benutzername (Email)</label>
        <div class="controls">
            <asp:TextBox ID="txtBoxMail" runat="server" placeholder="Benutzername"></asp:TextBox>
        </div>
    </div>
    <div class="control-group">
        <label class="control-label" for="inputPassword">Passwort (Passwörter werden gehasht gespeichert)</label>
        <div class="controls">
            <asp:TextBox ID="txtBoxPw" type="password" runat="server" placeholder="Passwort"></asp:TextBox>
        </div>
        <label class="control-label" for="inputPassword">Passwort wiederholen</label>
        <div class="controls">
            <asp:TextBox ID="txtBoxPw2" type="password" runat="server" placeholder="Passwort"></asp:TextBox>
        </div>
        <label class="checkbox">
            <asp:CheckBox ID="chkAGB" runat="server" />
            Ich habe die <a href="AGB.aspx">Nutzungsbedingungen</a> gelesen und stimme ihnen zu.
        </label>
    </div>
    <asp:Button class="btn btn-primary" ID="btnLogin" runat="server" Text="Registrieren" OnClick="btnLogin_Click" />
    <div id="divAlertWrongDomain" visible="false" class="alert error" runat="server">
        <strong>Fehler!</strong> Du darfst dich nur mit einer @haw-hamburg.de Adresse registrieren.
    </div>
    <div id="divAlertEmpty" visible="false" class="alert" runat="server">
        <strong>Fehler!</strong> Benutzername und oder Passwort dürfen nicht leer sein.
    </div>
    <div id="divAlertUnknown" visible="false" class="alert error" runat="server">
        <strong>Fehler!</strong> Benutzername ist schon vergeben.
    </div>
    <div id="divAlertSuccess" visible="false" class="alert-success" runat="server">
        <strong>Erfolg!</strong> Du hast dich erfolgreich registriert.<br />
        Bitte schaue in deinem Postfach nach und aktiviere deinen Account.
    </div>
    <div id="divAlertPwWrong" visible="false" class="alert" runat="server">
        <strong>Fehler!</strong> Die Passwörter stimmen nicht überein!!
    </div>
    <div id="divAlertAGB" visible="false" class="alert" runat="server">
        <strong>Fehler!</strong> Sie müssen den Nutzungsbedingungen zustimmen!!
    </div>
</asp:Content>
