﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using BasisKlassen;
using Common.Logger;

namespace InfoApp
{
    /// <summary>
    /// Interaktionslogik für InfoView.xaml
    /// </summary>
    public partial class InfoView : MyUserControl
    {
        private Model model;

        public InfoView(Model model)
        {
            InitializeComponent();
            DataContext = this;
            this.model = model;
            Title = "HILFE";
        }

        private void MyUserControl_Loaded_1(object sender, RoutedEventArgs e)
        {
            Logger.LogEvent(LogEvent.HilfeAufgerufen, model.Guid);
        }

        private void SurfaceButton_Click(object sender, RoutedEventArgs e)
        {
            gridRegister.Visibility = Visibility.Visible;
            gridLogin.Visibility = Visibility.Hidden;
            gridCreate.Visibility = Visibility.Hidden;
            gridSearch.Visibility = Visibility.Hidden;
            gridApp.Visibility = Visibility.Hidden;
            gridKontakt.Visibility = Visibility.Hidden;
            gridAllgemeines.Visibility = Visibility.Hidden;
            Logger.LogEvent(LogEvent.HilfeBereichGewechselt, model.Guid);
        }

        private void SurfaceButton_Click_1(object sender, RoutedEventArgs e)
        {
            gridRegister.Visibility = Visibility.Hidden;
            gridLogin.Visibility = Visibility.Visible;
            gridCreate.Visibility = Visibility.Hidden;
            gridSearch.Visibility = Visibility.Hidden;
            gridApp.Visibility = Visibility.Hidden;
            gridKontakt.Visibility = Visibility.Hidden;
            gridAllgemeines.Visibility = Visibility.Hidden;
            Logger.LogEvent(LogEvent.HilfeBereichGewechselt, model.Guid);
        }

        private void SurfaceButton_Click_2(object sender, RoutedEventArgs e)
        {
            gridRegister.Visibility = Visibility.Hidden;
            gridLogin.Visibility = Visibility.Hidden;
            gridCreate.Visibility = Visibility.Visible;
            gridSearch.Visibility = Visibility.Hidden;
            gridApp.Visibility = Visibility.Hidden;
            gridKontakt.Visibility = Visibility.Hidden;
            gridAllgemeines.Visibility = Visibility.Hidden;
            Logger.LogEvent(LogEvent.HilfeBereichGewechselt, model.Guid);
        }

        private void SurfaceButton_Click_3(object sender, RoutedEventArgs e)
        {
            gridRegister.Visibility = Visibility.Hidden;
            gridLogin.Visibility = Visibility.Hidden;
            gridCreate.Visibility = Visibility.Hidden;
            gridSearch.Visibility = Visibility.Visible;
            gridApp.Visibility = Visibility.Hidden;
            gridKontakt.Visibility = Visibility.Hidden;
            gridAllgemeines.Visibility = Visibility.Hidden;
            Logger.LogEvent(LogEvent.HilfeBereichGewechselt, model.Guid);
        }

        private void SurfaceButton_Click_4(object sender, RoutedEventArgs e)
        {
            gridRegister.Visibility = Visibility.Hidden;
            gridLogin.Visibility = Visibility.Hidden;
            gridCreate.Visibility = Visibility.Hidden;
            gridSearch.Visibility = Visibility.Hidden;
            gridApp.Visibility = Visibility.Visible;
            gridKontakt.Visibility = Visibility.Hidden;
            gridAllgemeines.Visibility = Visibility.Hidden;
            Logger.LogEvent(LogEvent.HilfeBereichGewechselt, model.Guid);
        }

        private void SurfaceButton_Click_5(object sender, RoutedEventArgs e)
        {
            gridRegister.Visibility = Visibility.Hidden;
            gridLogin.Visibility = Visibility.Hidden;
            gridCreate.Visibility = Visibility.Hidden;
            gridSearch.Visibility = Visibility.Hidden;
            gridApp.Visibility = Visibility.Hidden;
            gridKontakt.Visibility = Visibility.Visible;
            gridAllgemeines.Visibility = Visibility.Hidden;
            Logger.LogEvent(LogEvent.HilfeBereichGewechselt, model.Guid);
        }

        private void SurfaceButton_Click_6(object sender, RoutedEventArgs e)
        {
            gridRegister.Visibility = Visibility.Hidden;
            gridLogin.Visibility = Visibility.Hidden;
            gridCreate.Visibility = Visibility.Hidden;
            gridSearch.Visibility = Visibility.Hidden;
            gridApp.Visibility = Visibility.Hidden;
            gridKontakt.Visibility = Visibility.Hidden;
            gridAllgemeines.Visibility = Visibility.Visible;
            Logger.LogEvent(LogEvent.HilfeBereichGewechselt, model.Guid);
        }
    }
}
