﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using FluentNHibernate.Mapping;

namespace RechteVerwaltungsKomponente
{
    public class Berechtigung
    {
        public virtual int ID { get; set; }
        public virtual AccountType Status { get; set; }
        public virtual Anwendungsfall Anwendungsfall { get; set; }

        public Berechtigung() { }

        public Berechtigung(AccountType status, Anwendungsfall anwendungsfall)
        {
            this.Status = status;
            this.Anwendungsfall = anwendungsfall;
        }
    }

    public class BerechtigungMap : ClassMap<Berechtigung>
    {
        public BerechtigungMap()
        {
            Id(x => x.ID);
            Map(x => x.Status);
            Map(x => x.Anwendungsfall);
        }
    }
}
