﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.HtmlControls;
using System.Web.UI.WebControls;
using Service;
using Service.BoardService;

namespace CampusBoardWebsite
{
    public partial class AnzeigenControl : System.Web.UI.UserControl
    {

        private Anzeige Anzeige;
        private string GUID;
        public void SetupAnzeige(Anzeige anzeige, string guid)
        {
            this.Anzeige = anzeige;
            this.GUID = guid;
            Label1.Text = anzeige.Titel;
            Label2.Text = anzeige.Text;

            foreach (var s in anzeige.Images)
            {
                var li = new HtmlGenericControl("li");
                var a = new HtmlGenericControl("img");
                //a.Attributes.Add("href", "?selectedKategorie1=" + element.Name);
                a.Attributes.Add("src", s);
                li.Controls.Add(a);
                images.Controls.Add(li);
            }
        }

        protected void Page_Load(object sender, EventArgs e)
        {

        }

        protected void Button1_Click(object sender, EventArgs e)
        {
            var fassade = new Proxy();
            fassade.AnzeigeLöschen(GUID, Anzeige.ID);
            Response.Redirect(Request.RawUrl);
        }
    }
}