﻿<%@ Page Language="C#" MasterPageFile="~/Master.Master" AutoEventWireup="true" CodeBehind="Info.aspx.cs" Inherits="CampusBoardWebsite.Info" %>

<asp:Content ID="Content1" ContentPlaceHolderID="MainContent" runat="Server">
    <div class="tabbable tabs-left">
        <ul class="nav nav-tabs">
            <li class="active"><a href="#lG" data-toggle="tab">Allgemein</a></li>
            <li><a href="#lA" data-toggle="tab">Registrierung</a></li>
            <li><a href="#lB" data-toggle="tab">Login</a></li>
            <li><a href="#lC" data-toggle="tab">Anzeigen erstellen</a></li>
            <li><a href="#lD" data-toggle="tab">Anzeigen durchsuchen</a></li>
            <li><a href="#lE" data-toggle="tab">Profil</a></li>
            <li><a href="#lF" data-toggle="tab">Android-App</a></li>
        </ul>
        <div class="tab-content" style="font-size: 22px">
            <div class="tab-pane" id="lA">
                Die Registrierung kann auf 2 Wegen erfolgen.<br />
                <br />
                Die eine Möglichkeit ist, dass du dich direkt hier am Campus-Board registrieren kannst.<br />
                Dazu musst du einfach am linken Bildschirmrand auf "Registrieren" drücken und deine Email-Adresse, sowie ein Passwort eingeben.<br />
                <br />
                Die zweite Möglichkeit findest du unter http://campus-board.marius-klausa.eu<br />
                Bequem von einem Arbeitsplatzrechner aus aufrufen und registrieren.
                <br />
                <br />

                Hinweis: Es werden nur @haw-hamburg.de Adressen akzeptiert. Zudem muss man eine gültige Adresse angeben, da man einen Bestätigungslink zugeschickt bekommt.
            </div>
            <div class="tab-pane" id="lB">
                Du kannst dich entweder über die übliche Login-Maske mittels Bildschirmtastatur einloggen, oder du benutzt die Android App dazu.<br />
                <br />
                Mit der Android App bekommst du einen QR-Code, den du einfach vor die Kamera hier am Campus-Board hälst. Du solltest innerhalb eines kurzen Augenblicks eingeloggt werden.
                <br />
                <br />
                Der Bereich "LOGIN" muss dabei ausgewählt sein.
                <image src="pics/loginPic.png" />
            </div>
            <div class="tab-pane" id="lC">
                Zum Erstellen von Anzeigen musst du dich unter http://campus-board.marius-klausa.eu mit einem aktivierten Account einloggen.<br />
                <br />
                <br />
                Dort kannst du deine Texte schreiben, aus vorhandenen Kategorien wählen und natürlich auch Bilder hochladen.<br />
                <br />
                Nachdem du eine Anzeige erfolgreich erstellt hast, ist sie sofort hier auf dem Campus-Board sichtbar.
                <image src="pics/erstellenPic.png" />
            </div>
            <div class="tab-pane" id="lD">
				Inhalte durchsuchen kann man nur am Campus-Board selber, also im Beliner Tor 7.
                Einmal dort angekommen, tippst du oben links im Hauptmenü auf "INSERATE".<br />
                <br />
                Anschließend kannst du mittels Wischgesten durch die Inhalte scrollen, ein Suchbegriff eingeben, oder nach Kategorien filtern.
                <image src="pics/searchPic.png" />
            </div>
            <div class="tab-pane" id="lE">
                Sofern man eingeloggt ist gibt es die Möglichkeit seine Profilinformationen zu bearbeiten.<br />
                Dies kann man entweder am Campus-Board oder in der App tun.<br />
                <br />
                Dabei kann man verschiedene Informationen für andere Nutzer sichtbar machen oder verstecken.<br />
                <br />
                Beim Erstellen von Anzeigen kann man auswählen welche Kontaktinformationen im QR-Code der Anzeige gespeichert werden sollen. Diese sind dann innerhalb der App direkt verfügbar.<br />
                Die Auswahl ist unabhängig von der eingestellten Sichtbarkeit und nur für die jeweilige Anzeige gültig. 
            </div>
            <div class="tab-pane" id="lF">
                <table>
                    <tr>
                        <td>Unter folgendem Link gibt es die Android App zum Download: http://campus-board.marius-klausa.eu/campusboard-app.apk<br />
                            Alternativ kannst du auch einfach den QR-Code mit einer geeigneten App scannen.
                        </td>
                        <td>
                            <image src="pics/appUrl.png" />
                        </td>
                    </tr>
                    <tr>
                        <td>Die App bietet viele tolle Features, wie z.B. die Mitnahme von Anzeigen für ünterwegs. Einfach den QR-Code einer Anzeige einscannen.<br />
                            Fehlende Daten wie Bilder können hinterher nachgeladen werden.<br />
                            Zudem bietet die App exklusiv die Möglichkeit ein Profilbild hochzuladen.
                            <image src="pics/appPic.png" />
                        </td>
                    </tr>
                </table>
            </div>
            <div class="tab-pane active" id="lG">
                Das Campus-Board ist ein digitales Schwarzes Brett in Form eines 47 Zoll großen Touch-Screens, der im Foyer im Berliner Tor 7 steht und auf dem du Inhalte in der Form von Suche/Biete-Anzeigen veröffentlichen kannst.<br /><br />
                Unter dem Hilfepunkt REGISTRIEREN findest du Informationen dazu, wie du dir einen Benutzeraccount zulegen kannst.<br /><br />
                Anzeigen Erstellen kann man AUSSCHLIEßLICH über die Webseite http://campus-board.marius-klausa.eu<br /><br />
                Am Campus-Board selber kann man die Inhalte, sowie die Profile anderer Benutzer durchstöbern. Man kann sich Anzeigen per Email zusenden lassen, oder aber mit der Android-App scannen und mitnehmen.
            </div>
        </div>
    </div>
    <script>
        $('.tabbable a').bind('click', function (e) {
            window.activeTab = e.target;
        });
    </script>
</asp:Content>
