﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using FluentNHibernate.Mapping;

namespace FeedbackKomponente
{
    public class Feedback
    {
        public virtual int ID { get; set; }
        public virtual String Text { get; set; }
        public virtual DateTime Date { get; set; }
    }

    public class FeedbackMap : ClassMap<Feedback>
    {
        public FeedbackMap()
        {
            Id(x => x.ID);
            Map(x => x.Text);
            Map(x => x.Date);
        }
    }
}
