﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using RechteVerwaltungsKomponente;

namespace ProfilKomponente
{
    public interface IProfilKomponente
    {
        int GetAccountID(string nickname);
        string GetNickname(int accountID);
        Profil GetProfil(int accountID);
        Profil GetProfil(string registeredMail, int accountID, AccountType type);
        Profil GetProfil(int profileAccountID, int userAccountID, AccountType type);
        IList<ProfilVorschau> GetAlleProfile(AccountType type);
        Profil ProfilErstellen(int accountID, String registeredEmail);
        Profil ProfilAktualisieren(int accountID, string nickname, string vorname, string nachname, bool nameVisible,
            string straße, string plz, string stadt, bool adresseVisible, string telefon, bool telefonVisibible,
            string email, bool emailVisible, string profilbildImage, bool sichtbar);
        Profil ChangeToSichtbar(int accountID);
    }
}
